// C Source File
// Created 16/03/2003; 15:10:58

#define USE_TI89              // Compile for TI-89
#define USE_TI92PLUS          // Compile for TI-92 Plus
#define USE_V200              // Compile for V200

#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization

#define MIN_AMS 100           // Compile for AMS 1.00 or higher

#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files

// I declare the procedure because I call procedures within procedure 
// and so I don't need to sort the procedures.

char menu();

void about();

void options();

void speed();

void difficulty();

// The procedures:

/*
The function 'menu' returns a char because I use the result like a boolean value.
1 = true
0 = false
I use a char because it's not the worth to use an integer or a short. The compiler will use more memory
storage and it's unuseful. Even a char takes much memory to store only 1 or 0!
*/

char menu() {
	int key;
	
	clrscr();
	
	printf("F1 - Game\n\n");
	printf("F2 - Options\n\n");
	printf("F3 - About ...\n\n");
	printf("F4 - Exit");	
	
	key = ngetchx();
	
	switch (key) {
		case KEY_F1:
			return (1);
			break;
		case KEY_F2:
			options();
			break;
		case KEY_F3:
			about();
			break;
		case KEY_F4:
		case KEY_ESC:
			return (0);
	}
	
	return (menu());
}

void about() {
	clrscr();
	
	printf ("This menu is created by:\n\n\n    Frdric RIVAL\n\nMember of the Quiche Team");
	ngetchx();
}

void options() {
	int key;
	
	clrscr();
	printf("F1 - Dificulty\n\n");
	printf("F2 - Speed\n\n");
	printf("F3 - Return");	
	
	key = ngetchx();
	
	switch (key) {
		case KEY_F1:
			difficulty();
			break;
		case KEY_F2:
			speed();
			break;
		case KEY_F3:
		case KEY_ESC:
			return;	
	}
	
	options();
}

void speed() {
	clrscr();
	printf("Choose your speed");
	ngetchx();
}

void difficulty() {
	clrscr();
	printf("Choose your difficulty");
	ngetchx();
}

// Main Function
void _main(void)
{
	while (menu()) {
		clrscr();
		printf("Here the game!");
		ngetchx();
	}	
}
